
create table if not exists p10_sa.S98_S_livechat (
	 conference_id  TEXT 
	, create_date  TEXT 
	, start_date  TEXT 
	, start_url  TEXT 
	, referrer  TEXT 
	, chat_dura  TEXT 
	, queue_dura  TEXT 
	, visitor_id  TEXT 
	, visit_nick  TEXT 
	, visitor_ip  TEXT 
	, visitor_email  TEXT 
	, operator_id  TEXT 
	, group_id  TEXT 
	, group_name  TEXT 
	, rate  TEXT 
	, last_rate_comment  TEXT 
	, operator_1_nick  TEXT 
	, operator_2_nick  TEXT 
	, operator_3_nick  TEXT 
	, operator_4_nick  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_livechat.conference_id IS 'conferenceId'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.create_date IS 'chat creation date Asia/Shanghai'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.start_date IS 'chat start date Asia/Shanghai'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.start_url IS 'chat start url'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.referrer IS 'referrer'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.chat_dura IS 'chat duration in seconds'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.queue_dura IS 'queue duration in seconds'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_id IS 'visitor livechat id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visit_nick IS 'visitor nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_ip IS 'visitor ip'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_email IS 'visitor email'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_id IS 'last operator id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.group_id IS 'group'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.group_name IS 'group name'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.rate IS 'rate'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.last_rate_comment IS 'last rate comment'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_1_nick IS 'operator 1 nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_2_nick IS 'operator 2 nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_3_nick IS 'operator 3 nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_4_nick IS 'operator 4 nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_livechat IS '';



create table if not exists p12_sfull.S98_S_livechat (
	 conference_id  TEXT 
	, create_date  TEXT 
	, start_date  TEXT 
	, start_url  TEXT 
	, referrer  TEXT 
	, chat_dura  TEXT 
	, queue_dura  TEXT 
	, visitor_id  TEXT 
	, visit_nick  TEXT 
	, visitor_ip  TEXT 
	, visitor_email  TEXT 
	, operator_id  TEXT 
	, group_id  TEXT 
	, group_name  TEXT 
	, rate  TEXT 
	, last_rate_comment  TEXT 
	, operator_1_nick  TEXT 
	, operator_2_nick  TEXT 
	, operator_3_nick  TEXT 
	, operator_4_nick  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_livechat.conference_id IS 'conferenceId'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.create_date IS 'chat creation date Asia/Shanghai'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.start_date IS 'chat start date Asia/Shanghai'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.start_url IS 'chat start url'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.referrer IS 'referrer'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.chat_dura IS 'chat duration in seconds'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.queue_dura IS 'queue duration in seconds'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_id IS 'visitor livechat id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visit_nick IS 'visitor nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_ip IS 'visitor ip'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_email IS 'visitor email'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_id IS 'last operator id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.group_id IS 'group'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.group_name IS 'group name'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.rate IS 'rate'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.last_rate_comment IS 'last rate comment'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_1_nick IS 'operator 1 nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_2_nick IS 'operator 2 nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_3_nick IS 'operator 3 nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_4_nick IS 'operator 4 nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_livechat IS '';

